\subsection{Abnormality Detection Strategies for Surface Inspections}
\begin{frame}{Different approaches for different problems}
    \vspace{10pt}
    \LARGE A closer look on three papers:\\\vspace{18pt}
    \large \tableofcontents[currentsubsection, hideothersubsections, sectionstyle=hide, subsectionstyle=show/shaded]
\end{frame}

\begin{frame}{Abnormality Detection Strategies for Surface Inspections}
    \framesubtitle{Problem \& basic idea}
    \begin{columns}
        \column{.5\linewidth}
        \begin{block}{abnormalities on surfaces}
            \begin{itemize}
                \item abnormality detection on free-form surfaces is difficult
                \item done by human inspection
                    \begin{itemize}
                        \item expensive
                        \item inaccurate
                    \end{itemize}
            \end{itemize}
        \end{block}
        \column{.5\linewidth}
        \vspace{-12pt}
        {\transparent{0.5}        
            \begin{block}{idea}
                using a robot mounted scanner to detect these abnormalities
                \vspace{-15pt}
                \begin{figure}[tbh]
                    \centering
                    \includegraphics[width=.7\linewidth]{./resources/figures_abnormality_detection/Fig2_1.png}
                    \vspace{-25pt}
                    \caption*{\hspace{30pt} \footnotesize \cite{paper_abnormality_detection}}
                \end{figure}
                \vspace{-15pt}
            \end{block}
        }
    \end{columns}
    {\transparent{0.5}        
        \begin{block}{algorithm in short}
            \begin{enumerate}
                \item scanning surface using a laser scanner
                \item creating point clouds based on scans
                \item detecting gaps in PCs as abnormalities
            \end{enumerate}
        \end{block}
    } 
\end{frame}

\begin{frame}{Abnormality Detection Strategies for Surface Inspections}
    \framesubtitle{Problem \& basic idea}
    \begin{columns}
        \column{.5\linewidth}
        {\transparent{0.5}
            \begin{block}{abnormalities on surfaces}
                \begin{itemize}
                    \item abnormality detection on free-form surfaces is difficult
                    \item done by human inspection
                        \begin{itemize}
                            \item expensive
                            \item inaccurate
                        \end{itemize}
                \end{itemize}
            \end{block}
        }
        \column{.5\linewidth}
        \vspace{-12pt}
        \begin{block}{idea}
            using a robot mounted scanner to detect these abnormalities
            \vspace{-15pt}
            \begin{figure}[tbh]
                \centering
                \includegraphics[width=.7\linewidth]{./resources/figures_abnormality_detection/Fig2_1.png}
                \vspace{-25pt}
                \caption*{\hspace{30pt} \footnotesize \cite{paper_abnormality_detection}}
            \end{figure}
            \vspace{-15pt}
        \end{block}
    \end{columns}
    {\transparent{0.5}
        \begin{block}{algorithm in short}
            \begin{enumerate}
                \item scanning surface using a laser scanner
                \item creating point clouds based on scans
                \item detecting gaps in PCs as abnormalities
            \end{enumerate}
        \end{block}
    }
\end{frame}

\begin{frame}{Abnormality Detection Strategies for Surface Inspections}
    \framesubtitle{Problem \& basic idea}
    \begin{columns}
        \column{.5\linewidth}
        {\transparent{0.5}
            \begin{block}{abnormalities on surfaces}
                \begin{itemize}
                    \item abnormality detection on free-form surfaces is difficult
                    \item done by human inspection
                        \begin{itemize}
                            \item expensive
                            \item inaccurate
                        \end{itemize}
                \end{itemize}
            \end{block}
        }
        \column{.5\linewidth}
        \vspace{-12pt}
        {\transparent{0.5}
            \begin{block}{idea}
                using a robot mounted scanner to detect these abnormalities
                \vspace{-15pt}
                \begin{figure}[tbh]
                    \centering
                    \includegraphics[width=.7\linewidth]{./resources/figures_abnormality_detection/Fig2_1.png}
                    \vspace{-25pt}
                    \caption*{\hspace{30pt} \footnotesize \cite{paper_abnormality_detection}}
                \end{figure}
                \vspace{-15pt}
            \end{block}
        }
    \end{columns}
    \begin{block}{algorithm in short}
        \begin{enumerate}
            \item scanning surface using a laser scanner
            \item creating point clouds based on scans
            \item detecting gaps in PCs as abnormalities
        \end{enumerate}
    \end{block}
\end{frame}

\begin{frame}{Abnormality Detection Strategies for Surface Inspections}
    \framesubtitle{Experiments \& Results (unsupervised analysis)}
    \begin{block}{Experiments}
        \begin{enumerate} 
            \item creating PC from artefact
        \end{enumerate}
        \vspace{-25pt}
        \begin{figure}[tbh]
            \centering
            \includegraphics[width=0.65\linewidth]{./resources/figures_abnormality_detection/Fig2_4_crop.png}
            \vspace{-25pt}
            \caption*{\hspace{200pt} \footnotesize \cite{paper_abnormality_detection}}
        \end{figure}
        \vspace{-25pt}
        \begin{enumerate}
            \setcounter{enumi}{1}
        \item denoising PC
        \item abnormality detection
    \end{enumerate}
    \vspace{-20pt}
    \begin{figure}[tbh]
        \centering
        \includegraphics[width=0.65\linewidth]{./resources/figures_abnormality_detection/Fig2_5_crop.png}
        \vspace{-25pt}
        \caption*{\hspace{220pt} \footnotesize \cite{paper_abnormality_detection}}
    \end{figure}
    \vspace{-15pt}
\end{block}
\end{frame}

\begin{frame}{Abnormality Detection Strategies for Surface Inspections}
    \framesubtitle{Experiments \& Results (unsupervised analysis)}
    \begin{block}{Results}
        \vspace{-5pt}
        \begin{itemize}
            \item 5\textdegree\hspace{2pt}is best angle for scanning
        \end{itemize}
        \vspace{-22pt}
        \begin{figure}[tbh]
            \centering
            \includegraphics[width=0.65\linewidth]{./resources/figures_abnormality_detection/Fig4_2_crop.png}
            \vspace{-30pt}
            \caption*{\hspace{180pt} \footnotesize \cite{paper_abnormality_detection}}
        \end{figure}
        \vspace{-20pt}
        \begin{itemize}
            \item higher resolution $ \to $ better results
        \end{itemize}
        \vspace{-20pt}
        \begin{figure}[tbh]
            \centering
            \includegraphics[width=0.35\linewidth]{./resources/figures_abnormality_detection/Fig4_3_crop.png}
            \vspace{-33pt}
            \caption*{\hspace{115pt} \footnotesize \cite{paper_abnormality_detection}}
        \end{figure}
        \vspace{-6pt}
    \end{block}
\end{frame}



\begin{frame}{Abnormality Detection Strategies for Surface Inspections}
    \framesubtitle{Experiments \& Results (supervised analysis)}
    \begin{block}{Experiments}
        \begin{enumerate}
            \item creating PC from artefact
                \vspace{-5pt}
        \end{enumerate}
        \vspace{-22pt}
        \begin{figure}[tbh]
            \centering
            \includegraphics[width=0.7\linewidth]{./resources/figures_abnormality_detection/Fig2_8_crop.png}
            \vspace{-25pt}
            \caption*{\hspace{220pt}\footnotesize \cite{paper_abnormality_detection}}
        \end{figure}
        \vspace{-30pt}
        \begin{enumerate}
            \setcounter{enumi}{1}
        \item excluding high-noise regions
        \item feature extraction \& training
    \end{enumerate}
        \vspace{-12pt}
        \begin{columns}
            \column{0.35\linewidth}
            \begin{itemize}
                \item normal features
                \item height features
            \end{itemize}
            \column{0.34\linewidth}
            \begin{itemize}
                \item $\chi^2$ statistics
                \item proximity features
            \end{itemize}
        \end{columns}
        \vspace{-5pt}
        \begin{enumerate}
            \setcounter{enumi}{3}
        \item test step
    \end{enumerate}
        \vspace{-5pt}
\end{block}
\end{frame}


\begin{frame}{Abnormality Detection Strategies for Surface Inspections}
    \framesubtitle{Experiments \& Results (supervised analysis)}
    \begin{block}{Results}
        \begin{itemize}
            \item classification performance:
                \begin{itemize}
                    \item 98.913\% for L-L artefact
                    \item 100\% for H-H artefact
                \end{itemize}
            \item test step results: 
                \begin{itemize}
                    \item 0 FP for L-L artefact
                    \item 1 FP for H-H artefact
                \end{itemize}
        \end{itemize}
        \vspace{-20pt}
        \begin{figure}[tbh]
            \centering
            \includegraphics[width=0.7\linewidth]{./resources/figures_abnormality_detection/Fig5_2_crop.png}
            \vspace{-15pt}
            \caption*{\footnotesize \cite{paper_abnormality_detection}}
        \end{figure}
        \vspace{-15pt}
    \end{block}
\end{frame}
